Std ViewRear/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Emphasis|Siehe auch:}} FreeCAD Grundlagen Skripten.")
(Created page with "==Skripten==")
Line 33: Line 33:
#* Use the keyboard shortcut: {{KEY|4}}.
#* Use the keyboard shortcut: {{KEY|4}}.


==Scripting==
==Skripten==


{{Emphasis|Siehe auch:}} [[FreeCAD_Scripting_Basics/de|FreeCAD Grundlagen Skripten]].
{{Emphasis|Siehe auch:}} [[FreeCAD_Scripting_Basics/de|FreeCAD Grundlagen Skripten]].

Revision as of 09:27, 19 September 2020

Std ViewRear

Menu location
View → Standard views → Rear
Workbenches
All
Default shortcut
4
Introduced in version
-
See also
Std ViewBottom, Std ViewLeft

Beschreibung

The Std ViewRear command points the camera in the active 3D view in the direction of the negative Y axis.

Arrow 4 points in the direction of the rear view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewRear button.
    • Select the View → Standard views → Rear option from the menu.
    • Select the Standard views → Rear option from the 3D view context menu.
    • Use the keyboard shortcut: 4.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

To change to rear view use the viewRear method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRear()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()